curl --request PATCH \
--url 'https://api.scanova.io/forms/notification/21/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": false,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T11:30:00+05:30"
}
表单通知
更新表单通知
PATCH /forms/notification//
PATCH
/
forms
/
notification
/
{pk}
/
curl --request PATCH \
--url 'https://api.scanova.io/forms/notification/21/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": false,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T11:30:00+05:30"
}
更新一个表单报告通知。
同时支持
需要具有
MANAGEMENT_API(或 MANAGEMENT_API_SANDBOX)配额和 LEAD_GENERATION_EMAIL_REPORT_CAN_CREATE_UPDATE 权限的管理 API 密钥,作为原始 Authorization 标头值发送 —— 参见管理 API 概述。PUT https://api.scanova.io/forms/notification/{pk}/
PATCH https://api.scanova.io/forms/notification/{pk}/
integer
必填
通知的
id。string
内部名称。
string
收件人电子邮件地址。
string
抄送电子邮件地址。
string
密送电子邮件地址。
array
替换此通知所涵盖的完整
form_id 集合。boolean
启用或禁用该通知。
curl --request PATCH \
--url 'https://api.scanova.io/forms/notification/21/' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{ "is_active": false }'
{
"id": 21,
"name": "Weekly Booth Signups",
"to": "sales@example.com",
"cc": "manager@example.com",
"bcc": null,
"frequency": 3,
"frequency_display": "Once a Week",
"form_list": [{ "form_name": "Booth Signup", "form_id": "F8a9b0c1d2e3f4g5h" }],
"is_active": false,
"slack_workspace": null,
"slack_channel_ids": null,
"created_by": { "id": 41, "email": "you@example.com" },
"created": "2026-09-08T10:05:00+05:30",
"modified": "2026-09-08T11:30:00+05:30"
}
PUT 和 PATCH。如果 pk 不是此账户拥有的通知,则返回 404。
相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200
Notification updated.
此页面对您有帮助吗?